diff --git a/tests/Test_overflow.c b/tests/Test_overflow.c
index b276b6d..79b8ac7 100644
--- a/tests/Test_overflow.c
+++ b/tests/Test_overflow.c
@@ -25,7 +25,7 @@
 #include <stdlib.h>
 #include <limits.h>
 
-#include "libtasn1.h"
+#include "libtasn1-internal.h"
 
 int
 main (int argc, char **argv)
@@ -42,16 +42,16 @@ main (int argc, char **argv)
     long l;
     int len;
 
-    l = asn1_get_length_der (der, sizeof der, &len);
+    l = asn1_internal_get_length_der (der, sizeof der, &len);
 
     if (l == -2L)
       {
 	if (verbose)
-	  puts ("OK: asn1_get_length_der bignum");
+	  puts ("OK: asn1_internal_get_length_der bignum");
       }
     else
       {
-	printf ("ERROR: asn1_get_length_der bignum (l %ld len %d)\n", l, len);
+	printf ("ERROR: asn1_internal_get_length_der bignum (l %ld len %d)\n", l, len);
 	return 1;
       }
   }
@@ -66,18 +66,18 @@ main (int argc, char **argv)
       long l;
       int len;
 
-      asn1_length_der (num, der, &der_len);
+      asn1_internal_length_der (num, der, &der_len);
 
-      l = asn1_get_length_der (der, der_len, &len);
+      l = asn1_internal_get_length_der (der, der_len, &len);
 
       if (l == -2L)
 	{
 	  if (verbose)
-	    puts ("OK: asn1_get_length_der intnum");
+	    puts ("OK: asn1_internal_get_length_der intnum");
 	}
       else
 	{
-	  printf ("ERROR: asn1_get_length_der intnum (l %ld len %d)\n", l,
+	  printf ("ERROR: asn1_internal_get_length_der intnum (l %ld len %d)\n", l,
 		  len);
 	  return 1;
 	}
@@ -92,19 +92,19 @@ main (int argc, char **argv)
     long l;
     int len;
 
-    asn1_length_der (num, der, &der_len);
+    asn1_internal_length_der (num, der, &der_len);
 
     der_len = sizeof (der);
-    l = asn1_get_length_der (der, der_len, &len);
+    l = asn1_internal_get_length_der (der, der_len, &len);
 
     if (l == -4L)
       {
 	if (verbose)
-	  puts ("OK: asn1_get_length_der overflow-small");
+	  puts ("OK: asn1_internal_get_length_der overflow-small");
       }
     else
       {
-	printf ("ERROR: asn1_get_length_der overflow-small (l %ld len %d)\n",
+	printf ("ERROR: asn1_internal_get_length_der overflow-small (l %ld len %d)\n",
 		l, len);
 	return 1;
       }
@@ -119,19 +119,19 @@ main (int argc, char **argv)
     long l;
     int len;
 
-    asn1_length_der (num, der, &der_len);
+    asn1_internal_length_der (num, der, &der_len);
 
     der_len = sizeof (der);
-    l = asn1_get_length_der (der, der_len, &len);
+    l = asn1_internal_get_length_der (der, der_len, &len);
 
     if (l == -4L)
       {
 	if (verbose)
-	  puts ("OK: asn1_get_length_der overflow-large1");
+	  puts ("OK: asn1_internal_get_length_der overflow-large1");
       }
     else
       {
-	printf ("ERROR: asn1_get_length_der overflow-large1 (l %ld len %d)\n",
+	printf ("ERROR: asn1_internal_get_length_der overflow-large1 (l %ld len %d)\n",
 		l, len);
 	return 1;
       }
@@ -146,19 +146,19 @@ main (int argc, char **argv)
     long l;
     int len;
 
-    asn1_length_der (num, der, &der_len);
+    asn1_internal_length_der (num, der, &der_len);
 
     der_len = sizeof (der);
-    l = asn1_get_length_der (der, der_len, &len);
+    l = asn1_internal_get_length_der (der, der_len, &len);
 
     if (l == -2L)
       {
 	if (verbose)
-	  puts ("OK: asn1_get_length_der overflow-large2");
+	  puts ("OK: asn1_internal_get_length_der overflow-large2");
       }
     else
       {
-	printf ("ERROR: asn1_get_length_der overflow-large2 (l %ld len %d)\n",
+	printf ("ERROR: asn1_internal_get_length_der overflow-large2 (l %ld len %d)\n",
 		l, len);
 	return 1;
       }
diff --git a/tests/Test_parser.c b/tests/Test_parser.c
index 7a51843..ec19144 100644
--- a/tests/Test_parser.c
+++ b/tests/Test_parser.c
@@ -28,7 +28,7 @@
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
-#include "libtasn1.h"
+#include "libtasn1-internal.h"
 
 typedef struct
 {
@@ -177,12 +177,12 @@ main (int argc, char *argv[])
       printf ("ASN1PARSER: %s\n", fileCorrectName);
     }
 
-  result = asn1_parser2tree (fileCorrectName, &definitions, errorDescription);
+  result = asn1_internal_parser2tree (fileCorrectName, &definitions, errorDescription);
 
   if (result != ASN1_SUCCESS)
     {
       printf ("File '%s' not correct\n", fileCorrectName);
-      asn1_perror (result);
+      asn1_internal_perror (result);
       printf ("ErrorDescription = %s\n\n", errorDescription);
       exit (1);
     }
@@ -191,7 +191,7 @@ main (int argc, char *argv[])
   /* asn1_visit_tree(stdout,definitions,"TEST_PARSER",ASN1_PRINT_ALL); */
 
   /* Clear the definitions structures */
-  asn1_delete_structure (&definitions);
+  asn1_internal_delete_structure (&definitions);
 
 
   test = test_array;
@@ -203,8 +203,8 @@ main (int argc, char *argv[])
       createFile (test->lineNumber, test->line);
 
       result =
-	asn1_parser2tree (fileErroredName, &definitions, errorDescription);
-      asn1_delete_structure (&definitions);
+	asn1_internal_parser2tree (fileErroredName, &definitions, errorDescription);
+      asn1_internal_delete_structure (&definitions);
 
       if ((result != test->errorNumber) ||
 	  (strcmp (errorDescription, test->errorDescription)))
@@ -213,8 +213,8 @@ main (int argc, char *argv[])
 	  printf ("ERROR N. %d:\n", errorCounter);
 	  printf ("  Line %d - %s\n", test->lineNumber, test->line);
 	  printf ("  Error expected: %s - %s\n",
-		  asn1_strerror (test->errorNumber), test->errorDescription);
-	  printf ("  Error detected: %s - %s\n\n", asn1_strerror (result),
+		  asn1_internal_strerror (test->errorNumber), test->errorDescription);
+	  printf ("  Error detected: %s - %s\n\n", asn1_internal_strerror (result),
 		  errorDescription);
 	  exit (1);
 	}
diff --git a/tests/Test_simple.c b/tests/Test_simple.c
index a846958..72c928c 100644
--- a/tests/Test_simple.c
+++ b/tests/Test_simple.c
@@ -24,7 +24,7 @@
 #include <string.h>
 #include <stdlib.h>
 
-#include "libtasn1.h"
+#include "libtasn1-internal.h"
 
 struct tv
 {
@@ -89,11 +89,11 @@ main (int argc, char *argv[])
 
   /* Dummy test */
 
-  asn1_bit_der (NULL, 0, der, &der_len);
-  result = asn1_get_bit_der (der, 0, &ret_len, str, str_size, &bit_len);
+  asn1_internal_bit_der (NULL, 0, der, &der_len);
+  result = asn1_internal_get_bit_der (der, 0, &ret_len, str, str_size, &bit_len);
   if (result != ASN1_GENERIC_ERROR)
     {
-      fprintf (stderr, "asn1_get_bit_der zero\n");
+      fprintf (stderr, "asn1_internal_get_bit_der zero\n");
       return 1;
     }
 
@@ -103,7 +103,7 @@ main (int argc, char *argv[])
     {
       /* Encode */
 
-      asn1_bit_der ((const unsigned char *) tv[i].bitstr, tv[i].bitlen,
+      asn1_internal_bit_der ((const unsigned char *) tv[i].bitstr, tv[i].bitlen,
 		    der, &der_len);
 
 #if 0
@@ -117,18 +117,18 @@ main (int argc, char *argv[])
 
       if (der_len != tv[i].derlen || memcmp (der, tv[i].der, der_len) != 0)
 	{
-	  fprintf (stderr, "asn1_bit_der iter %lu\n", (unsigned long) i);
+	  fprintf (stderr, "asn1_internal_bit_der iter %lu\n", (unsigned long) i);
 	  return 1;
 	}
 
       /* Decode it */
 
-      result = asn1_get_bit_der (der, der_len, &ret_len, str,
+      result = asn1_internal_get_bit_der (der, der_len, &ret_len, str,
 				 str_size, &bit_len);
       if (result != ASN1_SUCCESS || ret_len != tv[i].derlen
 	  || bit_len != tv[i].bitlen)
 	{
-	  fprintf (stderr, "asn1_get_bit_der iter %lu, err: %d\n", (unsigned long) i, result);
+	  fprintf (stderr, "asn1_internal_get_bit_der iter %lu, err: %d\n", (unsigned long) i, result);
 	  return 1;
 	}
     }
@@ -146,19 +146,19 @@ main (int argc, char *argv[])
   memcpy (der, "\x04\x06\x6e\x5d\xc0", 5);
   der_len = 5;
 
-  result = asn1_get_bit_der (der, der_len, &ret_len, str, str_size, &bit_len);
+  result = asn1_internal_get_bit_der (der, der_len, &ret_len, str, str_size, &bit_len);
   if (result != ASN1_SUCCESS || ret_len != 5
       || bit_len != 18 || memcmp (str, "\x6e\x5d\xc0", 3) != 0)
     {
-      fprintf (stderr, "asn1_get_bit_der example\n");
+      fprintf (stderr, "asn1_internal_get_bit_der example\n");
       return 1;
     }
 
   der_len = sizeof (der);
-  asn1_bit_der (str, bit_len, der, &der_len);
+  asn1_internal_bit_der (str, bit_len, der, &der_len);
   if (der_len != 5 || memcmp (der, "\x04\x06\x6e\x5d\xc0", 5) != 0)
     {
-      fprintf (stderr, "asn1_bit_der example roundtrip\n");
+      fprintf (stderr, "asn1_internal_bit_der example roundtrip\n");
       return 1;
     }
 
@@ -167,19 +167,19 @@ main (int argc, char *argv[])
   memcpy (der, "\x04\x06\x6e\x5d\xe0", 5);
   der_len = 5;
 
-  result = asn1_get_bit_der (der, der_len, &ret_len, str, str_size, &bit_len);
+  result = asn1_internal_get_bit_der (der, der_len, &ret_len, str, str_size, &bit_len);
   if (result != ASN1_SUCCESS || ret_len != 5
       || bit_len != 18 || memcmp (str, "\x6e\x5d\xe0", 3) != 0)
     {
-      fprintf (stderr, "asn1_get_bit_der example padded\n");
+      fprintf (stderr, "asn1_internal_get_bit_der example padded\n");
       return 1;
     }
 
   der_len = sizeof (der);
-  asn1_bit_der (str, bit_len, der, &der_len);
+  asn1_internal_bit_der (str, bit_len, der, &der_len);
   if (der_len != 5 || memcmp (der, "\x04\x06\x6e\x5d\xc0", 5) != 0)
     {
-      fprintf (stderr, "asn1_bit_der example roundtrip\n");
+      fprintf (stderr, "asn1_internal_bit_der example roundtrip\n");
       return 1;
     }
 
@@ -188,20 +188,20 @@ main (int argc, char *argv[])
   memcpy (der, "\x81\x04\x06\x6e\x5d\xc0", 6);
   der_len = 6;
 
-  result = asn1_get_bit_der (der, der_len, &ret_len, str, str_size, &bit_len);
+  result = asn1_internal_get_bit_der (der, der_len, &ret_len, str, str_size, &bit_len);
 
   if (result != ASN1_SUCCESS || ret_len != 6
       || bit_len != 18 || memcmp (str, "\x6e\x5d\xc0", 3) != 0)
     {
-      fprintf (stderr, "asn1_get_bit_der example long form\n");
+      fprintf (stderr, "asn1_internal_get_bit_der example long form\n");
       return 1;
     }
 
   der_len = sizeof (der);
-  asn1_bit_der (str, bit_len, der, &der_len);
+  asn1_internal_bit_der (str, bit_len, der, &der_len);
   if (der_len != 5 || memcmp (der, "\x04\x06\x6e\x5d\xc0", 5) != 0)
     {
-      fprintf (stderr, "asn1_bit_der example roundtrip\n");
+      fprintf (stderr, "asn1_internal_bit_der example roundtrip\n");
       return 1;
     }
 
diff --git a/tests/Test_strings.c b/tests/Test_strings.c
index f3d3dba..f31b48a 100644
--- a/tests/Test_strings.c
+++ b/tests/Test_strings.c
@@ -24,7 +24,7 @@
 #include <string.h>
 #include <stdlib.h>
 
-#include "libtasn1.h"
+#include "libtasn1-internal.h"
 
 struct tv
 {
@@ -69,12 +69,12 @@ main (int argc, char *argv[])
     {
       /* Encode */
       tl_len = sizeof (tl);
-      ret = asn1_encode_simple_der (tv[i].etype, tv[i].str, tv[i].str_len,
+      ret = asn1_internal_encode_simple_der (tv[i].etype, tv[i].str, tv[i].str_len,
 				    tl, &tl_len);
       if (ret != ASN1_SUCCESS)
 	{
 	  fprintf (stderr, "Encoding error in %u: %s\n", i,
-		   asn1_strerror (ret));
+		   asn1_internal_strerror (ret));
 	  return 1;
 	}
       der_len = tl_len + tv[i].str_len;
@@ -89,12 +89,12 @@ main (int argc, char *argv[])
 
       /* decoding */
       ret =
-	asn1_decode_simple_der (tv[i].etype, tv[i].der, tv[i].der_len, &str,
+	asn1_internal_decode_simple_der (tv[i].etype, tv[i].der, tv[i].der_len, &str,
 				&str_len);
       if (ret != ASN1_SUCCESS)
 	{
 	  fprintf (stderr, "Decoding error in %u: %s\n", i,
-		   asn1_strerror (ret));
+		   asn1_internal_strerror (ret));
 	  return 1;
 	}
 
diff --git a/tests/Test_tree.c b/tests/Test_tree.c
index 0b6a7df..b991ef4 100644
--- a/tests/Test_tree.c
+++ b/tests/Test_tree.c
@@ -35,7 +35,7 @@
 #include <stdlib.h>
 
 #define ASN1_INTERNAL_BUILD
-#include "libtasn1.h"
+#include "libtasn1-internal.h"
 
 #include "Test_tree_asn1_tab.c"
 
@@ -489,19 +489,19 @@ main (int argc, char *argv[])
     }
 
   /* Check version */
-  if (asn1_check_version ("0.2.11") == NULL)
+  if (asn1_internal_check_version ("0.2.11") == NULL)
     printf ("\nLibrary version check ERROR:\n actual version: %s\n\n",
-	    asn1_check_version (NULL));
+	    asn1_internal_check_version (NULL));
 
   if (1)
-    result = asn1_parser2tree (treefile, &definitions, errorDescription);
+    result = asn1_internal_parser2tree (treefile, &definitions, errorDescription);
   else
     result =
-      asn1_array2tree (Test_tree_asn1_tab, &definitions, errorDescription);
+      asn1_internal_array2tree (Test_tree_asn1_tab, &definitions, errorDescription);
 
   if (result != ASN1_SUCCESS)
     {
-      asn1_perror (result);
+      asn1_internal_perror (result);
       printf ("ErrorDescription = %s\n\n", errorDescription);
       exit (1);
     }
@@ -519,7 +519,7 @@ main (int argc, char *argv[])
 
   if (0)
     {
-      asn1_print_structure (out, definitions, "TEST_TREE", ASN1_PRINT_ALL);
+      asn1_internal_print_structure (out, definitions, "TEST_TREE", ASN1_PRINT_ALL);
       fprintf (out, "\n");
     }
 
@@ -533,85 +533,85 @@ main (int argc, char *argv[])
 	{
 	case ACT_CREATE:
 	  result =
-	    asn1_create_element (definitions, test->par1, &asn1_element);
+	    asn1_internal_create_element (definitions, test->par1, &asn1_element);
 	  break;
 	case ACT_DELETE:
-	  result = asn1_delete_structure (&asn1_element);
+	  result = asn1_internal_delete_structure (&asn1_element);
 	  break;
 	case ACT_DELETE2:
-	  result = asn1_delete_structure2 (&asn1_element, ASN1_DELETE_FLAG_ZEROIZE);
+	  result = asn1_internal_delete_structure2 (&asn1_element, ASN1_DELETE_FLAG_ZEROIZE);
 	  break;
 	case ACT_DELETE_ELEMENT:
-	  result = asn1_delete_element (asn1_element, test->par1);
+	  result = asn1_internal_delete_element (asn1_element, test->par1);
 	  break;
 	case ACT_WRITE:
 	  if ((test->par2) && (!strcmp ("DER", test->par2)))
 	    result =
-	      asn1_write_value (asn1_element, test->par1, der, der_len);
+	      asn1_internal_write_value (asn1_element, test->par1, der, der_len);
 	  else
 	    result =
-	      asn1_write_value (asn1_element, test->par1, test->par2,
+	      asn1_internal_write_value (asn1_element, test->par1, test->par2,
 				test->par3);
 	  break;
 	case ACT_READ:
 	case ACT_READ_BIT:
 	  valueLen = test->par3;
 	  result =
-	    asn1_read_value (asn1_element, test->par1, value, &valueLen);
+	    asn1_internal_read_value (asn1_element, test->par1, value, &valueLen);
 	  break;
 	case ACT_READ_LENGTH:
 	  valueLen = 0;
 	  result =
-	    asn1_read_value (asn1_element, test->par1, NULL, &valueLen);
+	    asn1_internal_read_value (asn1_element, test->par1, NULL, &valueLen);
 	  break;
 	case ACT_READ_DEFINITIONS:
 	  valueLen = 1024;
 	  result =
-	    asn1_read_value (definitions, test->par1, value, &valueLen);
+	    asn1_internal_read_value (definitions, test->par1, value, &valueLen);
 	  break;
 	case ACT_READ_TAG_CLASS:
-	  result = asn1_read_tag (asn1_element, test->par1, &tag, &class);
+	  result = asn1_internal_read_tag (asn1_element, test->par1, &tag, &class);
 	  break;
 	case ACT_ENCODING:
 	  der_len = test->par3;
-	  result = asn1_der_coding (asn1_element, test->par1, der, &der_len,
+	  result = asn1_internal_der_coding (asn1_element, test->par1, der, &der_len,
 				    errorDescription);
 	  break;
 	case ACT_ENCODING_LENGTH:
 	  der_len = 0;
-	  result = asn1_der_coding (asn1_element, test->par1, NULL, &der_len,
+	  result = asn1_internal_der_coding (asn1_element, test->par1, NULL, &der_len,
 				    errorDescription);
 	  break;
 	case ACT_DECODING:
-	  result = asn1_der_decoding (&asn1_element, der, der_len,
+	  result = asn1_internal_der_decoding (&asn1_element, der, der_len,
 				      errorDescription);
 	  break;
 	case ACT_DECODING_ELEMENT:
 	  result =
-	    asn1_der_decoding_element (&asn1_element, test->par1, der,
+	    asn1_internal_der_decoding_element (&asn1_element, test->par1, der,
 				       der_len, errorDescription);
 	  break;
 	case ACT_DECODING_START_END:
 	  result =
-	    asn1_der_decoding_startEnd (asn1_element, der, der_len,
+	    asn1_internal_der_decoding_startEnd (asn1_element, der, der_len,
 					test->par1, &start, &end);
 	  break;
 	case ACT_EXPAND_ANY:
-	  result = asn1_expand_any_defined_by (definitions, &asn1_element);
+	  result = asn1_internal_expand_any_defined_by (definitions, &asn1_element);
 	  break;
 	case ACT_EXPAND_OCTET:
 	  result =
-	    asn1_expand_octet_string (definitions, &asn1_element, test->par1,
+	    asn1_internal_expand_octet_string (definitions, &asn1_element, test->par1,
 				      test->par2);
 	  break;
 	case ACT_OID_2_STRUCTURE:
-	  str_p = asn1_find_structure_from_oid (definitions, test->par1);
+	  str_p = asn1_internal_find_structure_from_oid (definitions, test->par1);
 	  break;
 	case ACT_VISIT:
 	  if (verbose)
 	    {
-	      asn1_print_structure (out, asn1_element, test->par1,
-				    test->par3);
+	      asn1_internal_print_structure (out, asn1_element, test->par1,
+					     test->par3);
 	      fprintf (out, "\n");
 	    }
 	  result = ASN1_SUCCESS;
@@ -634,7 +634,7 @@ main (int argc, char *argv[])
 	  break;
 	case ACT_NUMBER_OF_ELEMENTS:
 	  result =
-	    asn1_number_of_elements (asn1_element, test->par1, &valueLen);
+	    asn1_internal_number_of_elements (asn1_element, test->par1, &valueLen);
 	  break;
 	default:
 	  break;
@@ -661,8 +661,8 @@ main (int argc, char *argv[])
 	      printf ("  Action %d - %s - %s - %d\n", test->action,
 		      test->par1, test->par2, test->par3);
 	      printf ("  Error expected: %s\n",
-		      asn1_strerror (test->errorNumber));
-	      printf ("  Error detected: %s\n\n", asn1_strerror (result));
+		      asn1_internal_strerror (test->errorNumber));
+	      printf ("  Error detected: %s\n\n", asn1_internal_strerror (result));
 	      error ();
 	    }
 	  break;
@@ -674,8 +674,8 @@ main (int argc, char *argv[])
 	      printf ("  Action %d - %s - %s - %d\n", test->action,
 		      test->par1, test->par2, test->par3);
 	      printf ("  Error expected: %s\n",
-		      asn1_strerror (test->errorNumber));
-	      printf ("  Error detected: %s\n", asn1_strerror (result));
+		      asn1_internal_strerror (test->errorNumber));
+	      printf ("  Error detected: %s\n", asn1_internal_strerror (result));
 	      printf ("  Error description : %s\n\n", errorDescription);
 	      error ();
 	    }
@@ -688,8 +688,8 @@ main (int argc, char *argv[])
 	      printf ("ERROR in %d:\n", test->line);
 	      printf ("  Action %d - %s\n", test->action, test->par1);
 	      printf ("  Error expected: %s - %d\n",
-		      asn1_strerror (test->errorNumber), test->par3);
-	      printf ("  Error detected: %s - %d\n\n", asn1_strerror (result),
+		      asn1_internal_strerror (test->errorNumber), test->par3);
+	      printf ("  Error detected: %s - %d\n\n", asn1_internal_strerror (result),
 		      valueLen);
 	      error ();
 	    }
@@ -701,8 +701,8 @@ main (int argc, char *argv[])
 	      printf ("ERROR in %d:\n", test->line);
 	      printf ("  Action %d - %s\n", test->action, test->par1);
 	      printf ("  Error expected: %s - %d\n",
-		      asn1_strerror (test->errorNumber), test->par3);
-	      printf ("  Error detected: %s - %d\n\n", asn1_strerror (result),
+		      asn1_internal_strerror (test->errorNumber), test->par3);
+	      printf ("  Error detected: %s - %d\n\n", asn1_internal_strerror (result),
 		      der_len);
 	      error ();
 	    }
@@ -717,7 +717,7 @@ main (int argc, char *argv[])
 	      printf ("ERROR in %d:\n", test->line);
 	      printf ("  Action %d - %s\n", test->action, test->par1);
 	      printf ("  Error expected: %s - %s\n",
-		      asn1_strerror (test->errorNumber), test->par2);
+		      asn1_internal_strerror (test->errorNumber), test->par2);
 	      printf ("  Value detected: %s\n\n", str_p);
 	      error ();
 	    }
@@ -732,10 +732,10 @@ main (int argc, char *argv[])
 	      printf ("  Action %d - %s - %d\n", test->action, test->par1,
 		      test->par3);
 	      printf ("  Error expected: %s - %s - %d\n",
-		      asn1_strerror (test->errorNumber), test->par2,
+		      asn1_internal_strerror (test->errorNumber), test->par2,
 		      test->par3);
 	      printf ("  Error detected: %s - %d - %d\n\n",
-		      asn1_strerror (result), start, end);
+		      asn1_internal_strerror (result), start, end);
 	      error ();
 	    }
 	  break;
@@ -750,10 +750,10 @@ main (int argc, char *argv[])
 	      printf ("  Action %d - %s - %d\n", test->action, test->par1,
 		      test->par3);
 	      printf ("  Error expected: %s - %s - %d\n",
-		      asn1_strerror (test->errorNumber), test->par2,
+		      asn1_internal_strerror (test->errorNumber), test->par2,
 		      test->par3);
 	      printf ("  Error detected: %s - %d - %d\n\n",
-		      asn1_strerror (result), tag, class);
+		      asn1_internal_strerror (result), tag, class);
 	      error ();
 	    }
 
@@ -788,11 +788,11 @@ main (int argc, char *argv[])
 	      printf ("ERROR in %d:\n", test->line);
 	      printf ("  Action %d - %s\n", test->action, test->par1);
 	      printf ("  Error expected: %s - %d - ",
-		      asn1_strerror (test->errorNumber), test->par3);
+		      asn1_internal_strerror (test->errorNumber), test->par3);
 	      for (k = 0; k < test->par3; k++)
 		printf ("%02x", test->par2[k]);
 	      printf ("\n  Error detected: %s - %d - ",
-		      asn1_strerror (result), valueLen);
+		      asn1_internal_strerror (result), valueLen);
 	      for (k = 0; k < valueLen; k++)
 		printf ("%02x", value[k]);
 	      printf ("\n\n");
@@ -816,7 +816,7 @@ main (int argc, char *argv[])
     }
 
   /* Clear the definition structures */
-  asn1_delete_structure (&definitions);
+  asn1_internal_delete_structure (&definitions);
 
 
   if (out != stdout)
diff --git a/tests/Test_tree_asn1_tab.c b/tests/Test_tree_asn1_tab.c
index 7869f85..1960569 100644
--- a/tests/Test_tree_asn1_tab.c
+++ b/tests/Test_tree_asn1_tab.c
@@ -2,7 +2,7 @@
 # include "config.h"
 #endif
 
-#include <libtasn1.h>
+#include <libtasn1-internal.h>
 
 const asn1_static_node Test_tree_asn1_tab[] = {
   { "TEST_TREE", 536875024, NULL },
